Bug 821129 - [abrt] bash-4.2.28-1.fc16: __GI___libc_free: Process /bin/bash was killed by signal 11 (SIGSEGV)
[abrt] bash-4.2.28-1.fc16: __GI___libc_free: Process /bin/bash was killed by ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
abrt_hash:0573462398fb7f9b6dfc90935a4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-12 06:04 EDT by Jerzy Spendel
Modified: 2014-01-12 19:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:40:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: coredump (2.78 MB, text/plain)
2012-05-12 06:05 EDT, Jerzy Spendel
no flags Details
File: backtrace (8.40 KB, text/plain)
2012-05-12 06:05 EDT, Jerzy Spendel
no flags Details

  None (edit)
Description Jerzy Spendel 2012-05-12 06:04:30 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /bin/sh ../../../../../libtool --silent --tag=CC --mode=link gcc -DI915 -I../../../../../include -I../../../../../src/ -I../../../../../src/mapi -I../../../../../src/mesa/ -I../../../../../src/mesa/drivers/dri/common -I../../../../../src/mesa/drivers/dri/intel -I../../../../../src/mesa/drivers/dri/intel/server -D_GNU_SOURCE -DPTHREADS -DHAVE_POSIX_MEMALIGN -DUSE_XCB -DGLX_INDIRECT_RENDERING -DGLX_DIRECT_RENDERING -DUSE_EXTERNAL_DXTN_LIB=1 -DIN_DRI_DRIVER -DHAVE_ALIAS -DHAVE_MINCORE -DHAVE_LIBUDEV -DXCB_DRI2_CONNECT_DEVICE_NAME_BROKEN -DHAVE_LLVM=0x0209 -DUSE_X86_64_ASM -DFEATURE_GL=1 -I/usr/local/include -I/usr/local/include/libdrm -I/usr/include/libdrm -g -O2 -Wall -std=c99 -Werror=implicit-function-declaration -Werror=missing-prototypes -fno-strict-aliasing -fno-builtin-memcmp -g -O2 -module -avoid-version -shared -o i915_dri.la -rpath /usr/local/lib/dri i830_context.lo i830_state.lo i830_texblend.lo i830_texstate.lo i830_vtbl.lo intel_render.lo intel_regions.lo intel_buffer_objects.lo intel_batchbuffer.lo intel_clear.lo intel_extensions.lo intel_extensions_es.lo intel_mipmap_tree.lo intel_resolve_map.lo intel_tex_layout.lo intel_tex_image.lo intel_tex_subimage.lo intel_tex_copy.lo intel_tex_validate.lo intel_tex_format.lo intel_tex.lo intel_pixel.lo intel_pixel_bitmap.lo intel_pixel_copy.lo intel_pixel_draw.lo intel_pixel_read.lo intel_buffers.lo intel_blit.lo i915_tex_layout.lo i915_texstate.lo i915_context.lo i915_debug.lo i915_debug_fp.lo i915_fragprog.lo i915_program.lo i915_state.lo i915_vtbl.lo intel_context.lo intel_screen.lo intel_span.lo intel_state.lo intel_syncobj.lo intel_tris.lo intel_fbo.lo -L../../../../../lib -Wl,-R/usr/local/lib/dri -ldricore -lglsl -L/usr/local/lib -ldrm -lexpat -lm -lpthread -ldl -L/usr/local/lib -ldrm_intel -ldrm ../common/libdricommon.la
crash_function: __GI___libc_free
executable:     /bin/bash
kernel:         3.1.0-7.fc16.x86_64
pid:            6621
pwd:            /home/jerzy/mesa/src/mesa/drivers/dri/i915
reason:         Process /bin/bash was killed by signal 11 (SIGSEGV)
time:           Fri 11 May 2012 10:18:34 PM CEST
uid:            1000
username:       jerzy

backtrace:      Text file, 8602 bytes

dso_list:
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1336415019
:/lib64/libtinfo.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1320287314
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1336415013
:/bin/bash bash-4.2.28-1.fc16.x86_64 (Fedora Project) 1336644795
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1336415019
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1336415019
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1336414931
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1336415019

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1553
:KDE_MULTIHEAD=false
:HOSTNAME=FedoraJ
:DM_CONTROL=/var/run/xdmctl
:TERM=xterm
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:HISTSIZE=1000
:MAKEFLAGS=w
:XDG_SESSION_COOKIE=af7e2d5c97685fc98f7f302b0000000c-1336767057.398312-872573287
:XDM_MANAGED=method=classic,auto
:KONSOLE_DBUS_SERVICE=:1.75
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/jerzy/.gtkrc-2.0:/home/jerzy/.gtkrc-2.0-kde4:/home/jerzy/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/jerzy/.gtkrc:/home/jerzy/.kde/share/config/gtkrc
:WINDOWID=81788954
:SHELL_SESSION_ID=8c2d2ff01a8f40008a9c1ad6e7e8e9fd
:KDE_FULL_SESSION=true
:USER=jerzy
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/ssh-UxKIdjFA1522/agent.1522
:MAKELEVEL=6
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1628,unix/unix:/tmp/.ICE-unix/1628
:MFLAGS=-w
:MAIL=/var/spool/mail/jerzy
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/jerzy/.local/bin:/home/jerzy/bin
:DESKTOP_SESSION=default
:PWD=/home/jerzy/mesa/src/mesa/drivers/dri/i915
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/1
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:COLORFGBG=15;0
:SHLVL=9
:XDG_SEAT=seat0
:HOME=/home/jerzy
:LANGUAGE=
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=default
:LOGNAME=jerzy
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-8AvAzqk2B7,guid=594f4158316c385ebd3713330000001f
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:PKG_CONFIG_PATH=/home/jerzy/Biblioteki/libdrm-2.4.34:/home/jerzy/Biblioteki/libdrm-2.4.34/nouveau
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:PROFILEHOME=/home/jerzy/mesa
:XDG_RUNTIME_DIR=/run/user/jerzy
:QT_PLUGIN_PATH=/home/jerzy/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:XAUTHORITY=/tmp/kde-jerzy/xauth-1000-_0
:_=/bin/sh

event_log:
:2012-05-12-11:59:02> Querying server settings
:2012-05-12-11:59:03  Preparing an archive to upload
:2012-05-12-11:59:04  Uploading 332428 bytes
:2012-05-12-11:59:07  Upload successful
:2012-05-12-11:59:08  Retrace job started
:2012-05-12-11:59:20  Initializing virtual root
:2012-05-12-11:59:31  Initializing virtual root
:2012-05-12-11:59:43  Initializing virtual root
:2012-05-12-11:59:53  Initializing virtual root
:2012-05-12-12:00:04  Initializing virtual root
:2012-05-12-12:00:15  Initializing virtual root
:2012-05-12-12:00:26  Initializing virtual root
:2012-05-12-12:00:37  Retrace job finished successfully
:2012-05-12-12:03:48> Smolt profile successfully saved

maps:
:00400000-004da000 r-xp 00000000 08:02 62979                              /bin/bash
:006d9000-006da000 r--p 000d9000 08:02 62979                              /bin/bash
:006da000-006e3000 rw-p 000da000 08:02 62979                              /bin/bash
:006e3000-006e9000 rw-p 00000000 00:00 0 
:008e2000-008eb000 rw-p 000e2000 08:02 62979                              /bin/bash
:01b5c000-01dce000 rw-p 00000000 00:00 0                                  [heap]
:3051200000-3051222000 r-xp 00000000 08:02 55369                          /lib64/ld-2.14.90.so
:3051421000-3051422000 r--p 00021000 08:02 55369                          /lib64/ld-2.14.90.so
:3051422000-3051423000 rw-p 00022000 08:02 55369                          /lib64/ld-2.14.90.so
:3051423000-3051424000 rw-p 00000000 00:00 0 
:3051600000-30517ad000 r-xp 00000000 08:02 63455                          /lib64/libc-2.14.90.so
:30517ad000-30519ad000 ---p 001ad000 08:02 63455                          /lib64/libc-2.14.90.so
:30519ad000-30519b1000 r--p 001ad000 08:02 63455                          /lib64/libc-2.14.90.so
:30519b1000-30519b3000 rw-p 001b1000 08:02 63455                          /lib64/libc-2.14.90.so
:30519b3000-30519b8000 rw-p 00000000 00:00 0 
:3051e00000-3051e02000 r-xp 00000000 08:02 63462                          /lib64/libdl-2.14.90.so
:3051e02000-3052002000 ---p 00002000 08:02 63462                          /lib64/libdl-2.14.90.so
:3052002000-3052003000 r--p 00002000 08:02 63462                          /lib64/libdl-2.14.90.so
:3052003000-3052004000 rw-p 00003000 08:02 63462                          /lib64/libdl-2.14.90.so
:3052600000-3052615000 r-xp 00000000 08:02 63457                          /lib64/libgcc_s-4.6.3-20120306.so.1
:3052615000-3052814000 ---p 00015000 08:02 63457                          /lib64/libgcc_s-4.6.3-20120306.so.1
:3052814000-3052815000 rw-p 00014000 08:02 63457                          /lib64/libgcc_s-4.6.3-20120306.so.1
:3b96600000-3b96623000 r-xp 00000000 08:02 66194                          /lib64/libtinfo.so.5.9
:3b96623000-3b96822000 ---p 00023000 08:02 66194                          /lib64/libtinfo.so.5.9
:3b96822000-3b96826000 r--p 00022000 08:02 66194                          /lib64/libtinfo.so.5.9
:3b96826000-3b96827000 rw-p 00026000 08:02 66194                          /lib64/libtinfo.so.5.9
:2b7bf5798000-2b7bf5799000 rw-p 00000000 00:00 0 
:2b7bf57bd000-2b7bf57c0000 rw-p 00000000 00:00 0 
:2b7bf57c0000-2b7bfbbe3000 r--p 00000000 08:02 56016                      /usr/lib/locale/locale-archive
:2b7bfbbe3000-2b7bfbbea000 r--s 00000000 08:02 132025                     /usr/lib64/gconv/gconv-modules.cache
:7fff54f1c000-7fff54f3e000 rw-p 00000000 00:00 0                          [stack]
:7fff54fff000-7fff55000000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

smolt_data:
:
:
:General
:=================================
:UUID: 84a1bf3a-f7ed-4ad0-9ee4-cec1d6d2f9e6
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5386.24
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) 64 X2 Dual Core Processor 5200+
:CPU Stepping: 2
:CPU Family: 15
:CPU Model Num: 107
:Number of CPUs: 2
:CPU Speed: 2700
:System Memory: 3956
:System Swap: 0
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.1.0-7.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:30998:4163:33480) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Port 2)
:(4098:30999:4163:33480) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Port 3)
:(4098:43608:4163:43608) pci, snd_hda_intel, MULTIMEDIA, Juniper HDMI Audio [Radeon HD 5700 Series]
:(4098:17290:4163:33416) pci, ohci_hcd, USB, SB600 USB (OHCI3)
:(4098:30992:4163:33480) pci, None, HOST/PCI, RS690 Host Bridge
:(4098:17292:4163:33416) pci, pata_atiixp, STORAGE, SB600 IDE
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4098:17280:4163:33416) pci, ahci, STORAGE, SB600 Non-Raid-5 SATA
:(6505:4168:4163:33318) pci, atl1, ETHERNET, P5KPL-VM Motherboard
:(4098:30995:4163:33480) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Graphics Port 0)
:(4098:17285:4163:33416) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17293:4163:33416) pci, None, PCI/ISA, SB600 PCI to LPC Bridge
:(4098:17283:4163:33424) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17289:4163:33416) pci, ohci_hcd, USB, SB600 USB (OHCI2)
:(4098:26808:4163:836) pci, radeon, VIDEO, Juniper [Radeon HD 5700 Series]
:(4098:17287:4163:33416) pci, ohci_hcd, USB, SB600 USB (OHCI0)
:(4098:17288:4163:33416) pci, ohci_hcd, USB, SB600 USB (OHCI1)
:(4098:17291:4163:33416) pci, ohci_hcd, USB, SB600 USB (OHCI4)
:(4098:17286:4163:33416) pci, ehci_hcd, USB, SB600 USB Controller (EHCI)
:(6164:1537:5943:103) pci, rt2800pci, NETWORK, RT2800 802.11n PCI
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 25197932 22210458 21954531 6406144 6151417 6151417
:/dev/sda3 /home ext4 4096 4096 19773670 17384206 16379739 5029888 4973857 4973857
:

var_log_messages:
:May  7 20:23:41 FedoraJ yum[1788]: Updated: bash-4.2.24-1.fc16.x86_64
:May  8 14:52:33 FedoraJ yum[14540]: Updated: bash-4.2.24-2.fc16.x86_64
:May 10 12:13:16 FedoraJ yum[1958]: Updated: bash-4.2.28-1.fc16.x86_64
:May 11 22:18:34 FedoraJ abrt[6625]: Saved core dump of pid 6621 (/bin/bash) to /var/spool/abrt/ccpp-2012-05-11-22:18:34-6621 (2912256 bytes)
Comment 1 Jerzy Spendel 2012-05-12 06:05:23 EDT
Created attachment 583971 [details]
File: coredump
Comment 2 Jerzy Spendel 2012-05-12 06:05:25 EDT
Created attachment 583972 [details]
File: backtrace
Comment 3 Petr Machata 2012-05-14 15:09:14 EDT
The chain of released commands lists two nested for's, and one simple command, on lines 6529, 6583 and 6947 respectively.  There's an if between for and simple command, but its test and true branch were destroyed already, and carry no useful data.  There's also a bunch of connectors in between.  I tried to find a libtool script that matches these criteria, but they all seem to be off by 3 lines.  Roman, do you have any idea why this would be?  Maybe it's just some sort of systematic offset.

In any case, the line in question seems to be:
> test "X$hardcode_automatic" = Xyes && avoidtemprpath=yes

The first word is where it fails.  The remaining words in the list (up until &&, where the command ends) are intact, but the word "test" is mangled:
> $224 = {word = 0x1c08dd0 "\340\253\275\001", flags = 0}

This is certainly neither ASCII, nor UTF-8.  All the released words seem to look approximately like this, could it be a double free?  When we enter glibc, the free pretty much does several tests that turn out false (which we know, because all the true branches end in return), then converts the buffer to a malloc chunk (offset by 16 bytes), which looks like this:
> $225 = {prev_size = 0, size = 8030604385476149252, fd = 0x1bdabe0,
> bk = 0x1c08df0, fd_nextsize = 0x0, bk_nextsize = 0x21}

That size is suspicious:
>>> hex(8030604385476149252)
0x6f72702400000004
That says:
>>> '\x04\x00\x00\x00$pro'

Needless to say, libtool is full of "$pro" substrings.  A buffer overrun?  A reused chunk?  Uninitialized memory?  Who knows.  I'll look into it some more.

Jerzy Spendel, could you please tell us what version of libtool you are using?  Was it altered in any way (try rpm -qV libtool).  This could help us reproduce the problem locally and then fix it.
Comment 4 Petr Machata 2012-05-14 17:55:19 EDT
I looked into the allocator, but the free function is quite straightforward, just a bit of masking.  (_int_free is another story, but it fails before reaching it.)

The area of memory that starts at "fd" double-serves as malloced buffer (if it's allocated) and service area (if it's freed).  In this case, fd and bk hold what looks like valid heap pointers.  That might mean that the block was already freed once, or that it was freed, later malloced again, but not initialized.

I don't see a way to determine who mangled the size field without some sort of reproducer.  But my attempts at reproducing this bug have been futile so far, I'm afraid that without the exact same libtool and the exact same .lo's and .la's, we simply won't be able to trick bash into triggering this error.  In particular, valgrind doesn't complain when I run libtool on my mock project.
Comment 5 Roman Rakus 2012-05-18 09:21:53 EDT
Jerzy Spendel, could you please tell us what version of libtool you are using? 
Was it altered in any way (try rpm -qV libtool).  This could help us reproduce
the problem locally and then fix it.

Can you please also provide us any reproducer?
Comment 6 Jerzy Spendel 2012-05-23 14:47:54 EDT
I'm really sorry i haven't replied for long time...My libtool version is 2.4-9
Comment 7 Jerzy Spendel 2012-05-23 14:52:51 EDT
rpm -qV libtool didn't return anything
Comment 8 Fedora End Of Life 2013-01-16 12:13:39 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 16:41:03 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.